# agecem/agenda

Déploiement monolithique de [bottin](https://git.agecem.com/agecem/bottin) et [bottin-agenda](https://git.agecem.com/agecem/bottin-agenda) par docker-compose

Pour cloner le repo avec les submodules:

```sh
git clone https://git.agecem.com/agecem/agenda --recurse-submodules
```

Si le repo a été cloné sans `--recurse-submodules`:

```sh
git submodule update --remote --recursive
```

## quickstart

Instructions pour déployer un environnement avec les fichiers de config d'exemples.

En production, ne pas oublier de changer les clés API et les credentials de Basic Authentication et de database.

### Configurer les containers postgresql par variables d'environnement

En production, modifier le contenu de `.env` et ajuster les fichiers de config en conséquent.

```sh
umask 077
cp examples/test.env .env
```

### Démarrer les containers

*À noter que les containers risquent de restart continuellement tant que l'étape de déploiement de configurations n'est pas accomplie*

```sh
docker-compose up -d --build
```

### Déployer configurations
Sur une installation `docker` par défaut, remplir les named volumes:

*requiert permissions d'écriture, `sudo` peut être nécessaire*

```sh
cp examples/bottin-api.yaml /var/lib/docker/volumes/agenda_bottin_api-config/_data/api.yaml
cp examples/bottin-web.yaml /var/lib/docker/volumes/agenda_bottin_web-config/_data/web.yaml
cp examples/bottin-agenda-api.yaml /var/lib/docker/volumes/agenda_bottin-agenda_api-config/_data/api.yaml
cp examples/bottin-agenda-web.yaml /var/lib/docker/volumes/agenda_bottin-agenda_web-config/_data/web.yaml
```

### Valider le déploiement

Tous les containers doivent être `Up` lors d'un appel de:

```sh
docker-compose ps
```

Si ce n'est pas le cas, vérifier les logs par:

```sh
docker-compose logs -f
```
